.presentation {
    width: 100%;
    height: 33vh;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;

    background-image: url(../img/eventos/intro.jpg);
    background-size: cover;
    background-position: center 20%;
    background-repeat: no-repeat;
    margin-bottom: 2rem;
}

.presentation-container {
    width: 80%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;

    h1 {
        font-size: clamp(2.5rem, 2.167rem + 1.111vw, 3.5rem);
        font-family: LemonLight, sans-serif;
        color: var(--white);
        text-align: center;
        text-shadow: 2px 2px 5px rgba(0, 0, 0, 1);

        animation: slide-up 1s ease-out forwards;
        opacity: 0;
        transform: translateX(-100%);
    }
}

@keyframes slide-up {
    0% {
        transform: translateY(-100%);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.events {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-flow: column nowrap;
}

.events-container {
    width: 90%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
    gap: 2rem;
}

.events-link {
    text-decoration: none;
    color: var(--black);
}

.events-item {
    width: 100%;
    height: auto;
    background-color: var(--white);
    border-radius: 10px;

    display: flex;
    align-items: center;
    position: relative;
    overflow: hidden;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}

.events-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--scroll-grey);
    transition: width 0.3s ease-in-out;
    z-index: 0;
}

.events-item:hover::before {
    width: 100%;
}

.events-img {
    width: 100%;
    height: auto;
    flex: 1;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
}

.post-thumbnail {
    width: 100%;
    height: auto;
    aspect-ratio: 1/1;
    object-fit: cover;
    position: relative;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;

    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.events-content {
    position: relative;
    z-index: 1;
    flex: 3;
    padding: 1.5rem;
}

.events-content h2,
.events-content p {
    color: var(--black);
    transition: color 0.4s ease-in-out;
}

.events-content h2 {
    margin: 0 0 0.5rem;
    font-size: clamp(1.3rem, 1.1333rem + 0.5556vw, 1.8rem);
}

.events-content p {
    line-height: 1.5;
    margin-bottom: 0;
}

.events-item:hover .events-content h2,
.events-item:hover .events-content p {
    color: var(--white);
}

.no-events {
    width: 80%;
    height: auto;
    display: flex;
    align-self: center;
    justify-self: center;
    flex-flow: column nowrap;

    font-family: Montserrat, Calibri;
    text-align: justify;
    color: var(--white);
    font-size: clamp(1rem, 0.933rem + 0.222vw, 1.2rem);
}

@media (max-width: 780px) {
    .post-thumbnail {
        aspect-ratio: 4/7;
    }
}

@media (max-width: 550px) {
    .post-thumbnail {
        aspect-ratio: 4/10;
    }
}